Bug 448871 - Review Request: perl-Template-Provider-Encoding - Explicitly declare encodings of your templates
Review Request: perl-Template-Provider-Encoding - Explicitly declare encoding...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Template-...
:
Depends On:
Blocks: 448870
  Show dependency treegraph
 
Reported: 2008-05-29 02:16 EDT by Chris Weyl
Modified: 2010-09-02 17:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 15:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-05-29 02:16:48 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Template-Provider-Encoding-0.10-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Template-Provider-Encoding.spec

Description:
Template::Provider::Encoding is a Template Provider subclass to decode
template using its declaration. You have to declare encoding of the
template in the 1st line of the template using the (fake) encoding TT
plugin; otherwise the template is handled as utf-8.
Comment 2 Parag AN(पराग) 2008-05-29 02:31:19 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=634268
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
fddbc7b4c2033d931932880149cab323  Template-Provider-Encoding-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
t/00_compile....
ok
t/01_unicode....
ok
t/02_obj........
ok
All tests successful.
Files=3, Tests=30,  1 wallclock secs ( 0.80 cusr +  0.03 csys =  0.83 CPU)

+ Package: perl-Template-Provider-Encoding-0.10-1.fc9 =>
  Provides: perl(Template::Plugin::encoding) = 0.02
perl(Template::Provider::Encoding) = 0.10 perl(Template::Stash::ForceUTF8) = 0.03
  Requires: perl(:MODULE_COMPAT_5.10.0) perl(Encode) perl(Template::Config)
perl(base) perl(strict)

APPROVED.
Comment 3 Chris Weyl 2008-05-29 03:01:44 EDT
New Package CVS Request
=======================
Package Name: perl-Template-Provider-Encoding
Short Description: Explicitly declare encodings of your templates
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-05-30 16:27:33 EDT
cvs done.
Comment 5 Chris Weyl 2008-05-31 15:03:33 EDT
Imported and building.  Thanks for the review! :)
Comment 6 Iain Arnell 2010-09-02 10:35:57 EDT
Package Change Request
======================
Package Name: perl-Template-Provider-Encoding
New Branches: el6
Owners: iarnell tremble
Comment 7 Kevin Fenzi 2010-09-02 17:20:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.